package com.myoa.engineering.music.soundhoundfound.receiver.handler.message;

import org.telegram.telegrambots.meta.api.objects.Message;

/**
 * TextMessageHandler
 * @author Shin Woo-jin (woo-jin.shin@linecorp.com)
 * @since 2021-08-21
 *
 */
public interface TextMessageHandler extends MessageHandler {

    @Override
    default boolean isApplicable(Message message) {
        return message.isUserMessage() && message.hasText();
    }
}
