package com.myoa.engineering.music.soundhoundfound.receiver.infrastructure.client;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;
import org.springframework.web.reactive.function.client.WebClient;

import java.util.List;

@Component
public class ProcessorAPIWebClient {


    @Value("${webclient.some}")
    private String baseUrl;

    private final WebClient webClient;

    public ProcessorAPIWebClient(WebClient.Builder webClientBuilder) {
        this.webClient = webClientBuilder.baseUrl("soundhoundfound-processor:20080")
                .build();
    }
}